Get zones
curl --request GET \
--url https://api.sandbox.usenash.com/v1/zones \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/zones"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.usenash.com/v1/zones",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.usenash.com/v1/zones"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.usenash.com/v1/zones")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.usenash.com/v1/zones")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"zones": [
{
"id": "zone_01234567890123456789",
"name": "Zone 1",
"externalId": "ext_01234567890123456789",
"portalUrl": "https://portal.usenash.com/settings/zones/zone_01234567890123456789",
"coverageArea": {
"cities": [
"San Francisco"
],
"cityZipcodes": [],
"countries": [],
"id": "coa_01234567890123456789",
"states": [],
"zipCodes": [
"94114"
]
},
"storeLocations": [
{
"blackoutDates": [],
"email": "",
"externalId": "ext_01234567890123456789",
"firstName": "Steve",
"id": "stl_01234567890123456789",
"lastName": "Kerr",
"location": {
"address": "120 E 34th St, New York, NY 10016, USA",
"addressCity": "New York",
"addressCountry": "US",
"addressFirstLine": "120 E 34th St",
"addressSecondarynumber": null,
"addressState": "NY",
"addressZip": "10016",
"lat": 40.7463656,
"lng": -73.9803215
},
"name": "10392",
"operatingHours": {
"friday": {
"active": true,
"shifts": []
},
"monday": {
"active": true,
"shifts": []
},
"saturday": {
"active": true,
"shifts": []
},
"sunday": {
"active": true,
"shifts": []
},
"thursday": {
"active": true,
"shifts": []
},
"tuesday": {
"active": true,
"shifts": []
},
"wednesday": {
"active": true,
"shifts": []
}
},
"phoneNumber": "+16132525710",
"pickupInstructions": "",
"prepTimeMinutes": null,
"tags": []
}
],
"storeLocationAssociations": [
{
"endDate": "2025-01-01",
"startDate": "2024-01-01",
"storeLocationId": "stl_01234567890123456789"
}
],
"zoneRestrictions": [
{
"id": "res_01234567890123456789",
"name": "Zone Restriction 1"
}
],
"tags": [
"service:rapid",
"franchise_location"
],
"zoneMetadata": {
"key": "value"
},
"isDeleted": false
}
]
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Get zones
List zones for the organization with pagination. Use size and offset parameters to paginate. Optionally include deleted zones with is_deleted.
GET
/
v1
/
zones
Get zones
curl --request GET \
--url https://api.sandbox.usenash.com/v1/zones \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/zones"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.usenash.com/v1/zones",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.usenash.com/v1/zones"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.usenash.com/v1/zones")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.usenash.com/v1/zones")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"zones": [
{
"id": "zone_01234567890123456789",
"name": "Zone 1",
"externalId": "ext_01234567890123456789",
"portalUrl": "https://portal.usenash.com/settings/zones/zone_01234567890123456789",
"coverageArea": {
"cities": [
"San Francisco"
],
"cityZipcodes": [],
"countries": [],
"id": "coa_01234567890123456789",
"states": [],
"zipCodes": [
"94114"
]
},
"storeLocations": [
{
"blackoutDates": [],
"email": "",
"externalId": "ext_01234567890123456789",
"firstName": "Steve",
"id": "stl_01234567890123456789",
"lastName": "Kerr",
"location": {
"address": "120 E 34th St, New York, NY 10016, USA",
"addressCity": "New York",
"addressCountry": "US",
"addressFirstLine": "120 E 34th St",
"addressSecondarynumber": null,
"addressState": "NY",
"addressZip": "10016",
"lat": 40.7463656,
"lng": -73.9803215
},
"name": "10392",
"operatingHours": {
"friday": {
"active": true,
"shifts": []
},
"monday": {
"active": true,
"shifts": []
},
"saturday": {
"active": true,
"shifts": []
},
"sunday": {
"active": true,
"shifts": []
},
"thursday": {
"active": true,
"shifts": []
},
"tuesday": {
"active": true,
"shifts": []
},
"wednesday": {
"active": true,
"shifts": []
}
},
"phoneNumber": "+16132525710",
"pickupInstructions": "",
"prepTimeMinutes": null,
"tags": []
}
],
"storeLocationAssociations": [
{
"endDate": "2025-01-01",
"startDate": "2024-01-01",
"storeLocationId": "stl_01234567890123456789"
}
],
"zoneRestrictions": [
{
"id": "res_01234567890123456789",
"name": "Zone Restriction 1"
}
],
"tags": [
"service:rapid",
"franchise_location"
],
"zoneMetadata": {
"key": "value"
},
"isDeleted": false
}
]
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Authorizations
Query Parameters
Was this page helpful?